Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRPenUtil

    java.lang.Object
      net.sf.jasperreports.engine.util.JRPenUtil

    public final class JRPenUtil

extends java.lang.Object

Version:
  $Id: JRPenUtil.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static java.lang.Byte` | `getOwnPenFromLinePen(JRPen linePen)`
`static byte` | `getPenFromLinePen(JRPen linePen)`
`static java.awt.Stroke` | `getStroke(JRPen pen, int lineCap)`
`static void` | `setLinePenFromPen(byte pen, JRPen linePen)` Deprecated. Replaced by `setLinePenFromPen(PenEnum, JRPen)`.
`static void` | `setLinePenFromPen(java.lang.Byte pen, JRPen linePen)`
`static void` | `setLinePenFromPen(PenEnum pen, JRPen linePen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setLinePenFromPen

    public static void setLinePenFromPen(byte pen,
                                         JRPen linePen)

  Deprecated. Replaced by `setLinePenFromPen(PenEnum, JRPen)`.

### setLinePenFromPen

    public static void setLinePenFromPen(java.lang.Byte pen,
                                         JRPen linePen)

### setLinePenFromPen

    public static void setLinePenFromPen(PenEnum pen,
                                         JRPen linePen)

### getPenFromLinePen

    public static byte getPenFromLinePen(JRPen linePen)

### getOwnPenFromLinePen

    public static java.lang.Byte getOwnPenFromLinePen(JRPen linePen)

### getStroke

    public static java.awt.Stroke getStroke(JRPen pen,
                                            int lineCap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com